from tkinter import filedialog as fd
import slider as sl
from datetime import timedelta
import place
import sound_process

def alexandre_process(bpm, offset, filename):
    pass

def main():
    filename = fd.askopenfilename()
    beatmap = sl.Beatmap.from_path(filename)
    timing = beatmap.timing_points[0]
    bpm = timing.bpm
    offset = timing.offset.total_seconds() * 10e3
    print(beatmap.audio_filename)

    timings, amplitudes, freqs = sound_process.process_song(beatmap.audio_filename, offset, bpm)

    beatmap._hit_objects = place.greedy(bpm, offset, timings, amplitudes)
    #beatmap._hit_objects = [sl.Slider(sl.Position(0, 0), timedelta(milliseconds=3), timedelta(milliseconds=130), 0, sl.curve.Linear([sl.Position(0, 0), sl.Position(100, 100)], 100), 100, 2, 1, 1, 1, timing.ms_per_beat, [], [],)]
    beatmap.write_path("rewrite.osu")
    
    #timings, intensities = alexandre_process(bpm, offset, beatmap.audio_filename)



    print(bpm)
    


if __name__ == "__main__":
    main()
